﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace CSharpSample
{
    class Program
    {
        [DllImport("Hardware Monitor.dll")] 
        public static extern float HWMVoltage_Get(int kind);

        [DllImport("Hardware Monitor.dll")]
        public static extern float HWMFanSpeed_Get(int kind);

        [DllImport("Hardware Monitor.dll")]
        public static extern float HWMTemperature_Get(int kind);
        static void Main(string[] args)
        {

            float test1 = HWMTemperature_Get(1);
            float test2 = HWMTemperature_Get(2);

            Console.WriteLine("SYSTEM T:   '{0}' ", test2);
            Console.WriteLine("CPU T:      '{0}' ", test1);

            float test5 = HWMVoltage_Get(1);
            float test6 = HWMVoltage_Get(2);
            float test7 = HWMVoltage_Get(3);
            float test8 = HWMVoltage_Get(4);

            Console.WriteLine("Vcore:   '{0}' ", test5);
            Console.WriteLine("12V:     '{0}' ", test6);
            Console.WriteLine("+5V:     '{0}' ", test7);
            Console.WriteLine("+VCC:    '{0}' ", test8);
            Console.WriteLine("========================================\n");

            float test9 = HWMFanSpeed_Get(1);
            float test10 = HWMFanSpeed_Get(2);
            Console.WriteLine("Fan1:   '{0}' ", test9);
            Console.WriteLine("Fan2:   '{0}' ", test10);
            Console.WriteLine("========================================\n");

            Console.ReadLine();
        }
    }
}
